Bug 20466 - Incorrect fixtures for active currency in t/Prices.t
Summary: Incorrect fixtures for active currency in t/Prices.t
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 4078 15323
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-23 16:07 UTC by Jonathan Druart
Modified: 2018-03-27 11:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20466: Fix fixture syntax in t/Prices.t (721 bytes, patch)
2018-03-23 16:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-03-23 16:07:18 UTC
Found by jenkins on https://jenkins.koha-community.org/job/Koha_Master_D8/401/console

#   Failed test 'No tests run for subtest "Configuration 1: 0 0"'
#   at t/Prices.t line 152.
Can't call method "p_sep_by_space" on an undefined value at /home/vagrant/kohaclone/Koha/Number/Price.pm line 126.
Comment 1 Jonathan Druart 2018-03-23 16:08:05 UTC
Exists since bug 15323 but highlighted by bug 4078 recently pushed.
Comment 2 Jonathan Druart 2018-03-23 16:13:33 UTC
Created attachment 73195 [details] [review]
Bug 20466: Fix fixture syntax in t/Prices.t
Comment 3 Jonathan Druart 2018-03-23 16:25:55 UTC
Pushed to master for 18.05 as a follow-up of bug 4078

Can be considered for stable branches.
Comment 4 Nick Clemens 2018-03-26 12:39:39 UTC
Awesome work all, backported to stable for 17.11.04
Comment 5 Fridolin SOMERS 2018-03-27 11:53:28 UTC
Pushed to 17.05.x for v17.05.10